<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'download.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'download.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p *ngIf="!pageActionsComponent.hasErrorFeedback" onError>
		{{ 'download.pageActions.error' | translate }}
	</p>
	<p onError *ngIf="pageActionsComponent.hasErrorFeedback">
		{{ 'error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'download.pageActions.instruction' | translate }}
	</p>
	<ng-container onReady [ngTemplateOutlet]="downloadButton"></ng-container>
	<ng-container onError [ngTemplateOutlet]="downloadButton"></ng-container>
	<ng-template #downloadButton>
		<button
				(click)="download()"
				class="btn btn-primary"
				data-test="download"
				type="button"
		>
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'download.pageActions.download' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'download.pageActions.inProgress' | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
	<p aria-live="polite" onComplete>
		{{ 'download.pageActions.complete' | translate }}
	</p>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>